@import "partials/license-block";
@import "partials/dependencies";

// base

    p{ line-height: 1.7; }

    p, li{
        font-size: 1em;
    }

    .subnote{
        padding-bottom:20px;
        font-size:1.077em;
        color:#222;
        line-height:1.6;
        margin-top:0;
        &.subnote-stap-beschrijving{
            margin-bottom:0;
        }
    }

// radio-item 'copy_gegevens'

    .radio-item input[name=copy_gegevens] {
        vertical-align:top;
        margin-top: 7px;
    }

    input[name=copy_gegevens] + label {
        line-height: 1.7;
    }

// block

    .block,
    .block *{
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }
     
    .header{
        border-radius: 0;
        margin: 0;
        background: none;
        border-bottom: none; 
        font-weight: bold;
        color: #333;
        & > h1{
            font-size: 1.538em;
            margin: 0;
            line-height: 1.3;
            &.header-title {
                float: left;
                width: 640px;
            }
        }
        span{
            font-weight: normal;
        }
    }
     
    .flex50 {
        width: 50%;
        text-align: left; 
        &.left {float: left;}
        &.right {
            float: right;
            .inner { padding-left: 20px; }
        }
        .inner { padding-right: 75px; }
    }

// Intake

    // pre-login & login pagina's
     
         .prelogin p{
            margin: 0 0 25px;
         }

         .prelogin-button-wrapper{
            display: flex;
         }

         .prelogin-button-logo{
            margin-right: 20px;
         }

         .prelogin-button{
            margin-bottom: 30px;
            .button{width:100%;}
         }
         
         .prelogin-button button{
            font-weight: normal;
            width:100%;
         }
         
         .prelogin-button button span.a{
            margin-right: 5px;
         }

         .prelogin-info {
             border-radius: 10px;
             padding: 20px;
             background: #eef8fd;
             margin-top: 0px;
             font-size: 0.846em;
             margin-bottom:15px;
             display: flex;
             display: -ms-flexbox;
             display: -webkit-box;
             display: -webkit-flex;
         }
         
         .prelogin-info-pip{
            background: none;
            padding: 25px 0 0;
            border-radius: 0;
            border-top: 1px dotted #aaa;
         }
         
         .prelogin-logos{
            width: 60px;
            text-align: center;
            margin-right: 3%;
            flex-shrink:0;
         }
         
         .prelogin-logos img{
            margin-bottom: 5px;
         }
         
         .prelogin-info-tekst{
            flex-grow:1;
            h3{
                margin:0;
                font-size:1.1em;
            }
            img{
                max-width:200px;
                margin-bottom:1rem;
            }
         }
         
         .prelogin-info-logo{
            width: 50px;
            height: 50px;
            position: relative;
            display: block;
         }
         
         .prepayment img{
            vertical-align: middle;
         }

         .prelogin-bedrijfsid .block-content{
            padding-top:30px !important;
         }

    // BedrijfsID Loginpagina
      
        #loginwrap{
            background: transparent;

            .input_medium { 
                margin-bottom: 10px; 
                width: 300px;
                font-size: 1.385em; }
             
            label { line-height: 2; }
             
            input[type="submit"] { margin: 30px 0 5px; }

        }
 
// System Message

    .system-message{
        padding:13px 13px 14px;
        border:1px dashed #C8C104;
        margin-bottom:16px;
        background: #f9fccb;
        font-weight:bold;
        line-height: 1.5;
        font-weight: normal;
        color: #333;
        font-size: 0.923em;
        margin:15px 0;
    }

// Eindpagina

    .done h2{
        margin-bottom:20px;
        i{
            font-size: 1em;
            vertical-align: baseline;
            margin-right: 5px;
        }
    }

    .mislukt{
        padding:20px 0px 20px 100px;
        position:relative;
        &:before{
            font-family: fontawesome !important;
            content: "\f071";
            font-size:60px;
            left:10px;
            top:50%;
            position: absolute;
            width:60px;
            height:60px;
            line-height: 1;
            vertical-align: middle;
            margin-top:-30px;
            color:rgb(204, 39, 39);
        }
        p{
            margin-bottom:0px;
        }
        h2{
            margin:5px 0;
        }
    }

    .betaling .table{
        margin-bottom:25px;
        *{
            @include box-sizing(border-box);
        }
    }

// Custom

    .form label.titel{
        margin: 0;
        padding: 0;
        line-height: 1.5;
    }

    .skip{
        display: none;
    } 

    .knop-right{
        margin-left: 4px;
    }

    .wym_skin_default.wym_skin_enlarge{
        top: 0px !important;
    }

    .kcc-bar{
        display: none;
    }

    .form-actions-sticky{
        position: static;
        background:transparent;
        border:none;
        z-index:auto;
        width:auto;
        padding:15px 0;
    }

    .nieuwe_zaak_starten{
        display: none;
    }

// vestiging override

.vestigingsnummer-override.block .block-content{
    padding-top:40px !important;
    label{
        margin-bottom:8px;
        display: block;
    }
    input[type=text]{
        width:150px;
    }
    input[type=submit]{
        margin-top:20px;
    }
}

.vestigingsnummer-override-custom-error{
    color:red;
    font-weight: bold;
}

@import "partials/browser-check";
@import "partials/helpers";
@import "partials/angular-system-message";
@import "partials/grid";
@import "partials/public-search";
